import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { Network } from '../../../types/network.interface';
declare type Holder = {
    id: string;
    collateral: string;
    transferable: string;
    initialDebtOwnership: string;
};
export declare class SynthetixMintrSnxHoldersCache {
    private readonly appToolkit;
    constructor(appToolkit: IAppToolkit);
    private graphs;
    getSynthetixHolders(network: Network): Promise<Holder[]>;
}
export {};
